Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
14 Views

Cilkscreen/Cilkview needs to be released as 64 bit binary (Linux)

Hi, many modern 64 bit clusters do not provide 32 bit libraries. The cilkscreen/cilkview tools appear to be compiled as 32 bit applications and so error when running on a cluster without 32 bit libraries: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory

Can you please release both 32 bit and 64 bit binaries for cilk screen and cilk view? This seems like negligible effort on your part for a huge benefit to your users.

Thanks,

Stephen

0 Kudos
3 Replies
Highlighted
14 Views

Yes, we can release both 32 and 64 bit binaries if it can improve user experience.

0 Kudos
Highlighted
Beginner
14 Views

That would be a great help since currently our students are using cilk from 2008 which was released as source before the company was bought by intel.

I have not seen the 64 bit version uploaded to https://www.cilkplus.org/download yet. Any idea when we can expect the upload?

Thanks,

Stephen

0 Kudos
Highlighted
14 Views

New Cilk tools package with 64-bit driver binaries is now available at https://www.cilkplus.org/download.

0 Kudos